let web: string = '/web';
let common: string = '/common';
// 角色
export const url : urlType.url = {
	// 字典
	dictTree: common + '/dict/tree',
	ImageUpload: common + '/image/upload?imgtype=1',
	
	JobseekerRegister: web + '/jobseeker/register',	// 个人注册
	CompanyRegister: web + '/company/register',	// 企业注册
	Captcha: common + '/captcha',	// 获取验证码
	
	// 招聘会
	RecruitmentBookcompany: web + '/recruitment/bookcompany',	// 获取招聘会参与的企业
	RecruitmentList: web + '/recruitment/list',	// 招聘会列表
	
	// 求职者管理中心
	ViewhistoryList: web + '/viewhistory/list',	// 获取简历被查看记录
	InterviewList: web + '/interview/list',	// 获取应聘记录列表
	
	// 企业管理中心
	CompanyProfile: web + '/company/profile',	// 企业基本资料
	CompanyLogin: web + '/company/login',	// 登录
	CompanyInfo: web + '/company/info',	// 企业信息
	CompanyProbationList: web + '/company/probation_list',	// 见习基地
	CompanyFamousList: web + '/company/famous_list',	// 知名企业/推荐企业
	// 用户管理
	CompanyFee: web + '/company/fee',	// 费用管理
	CompanyPwdEdit: web + '/company/pwd_edit',	// 修改密码
	CompanyEmailEdit: web + '/company/email_edit',	// 修改密码
	// 职位管理
	CompanyJobAdd: web + '/company/job_add',	// 添加职位
	CompanyJobEdit: web + '/company/job_edit',	// 编辑职位
	CompanyJobList: web + '/company/job_list',	// 企业职位列表
	CompanyJobInfo: web + '/company/job_info',	// 职位信息
	// 部门管理
	CompanyDepartmentAdd: web + '/company/department_add',	// 新增部门
	CompanyDepartmentEdit: web + '/company/department_edit',	// 编辑部门
	CompanyDepartmentList: web + '/company/department_list',	// 部门列表
	CompanyRecrBookList: web + '/company/recr_book_list',	// 已预定招聘会列表
	
	// 企业开通微信小程序账号公司权限
	CompanycustomercodeAdd: web + '/companycustomercode/add',	// 添加
	CompanycustomercodeDel: web + '/companycustomercode/del',	// 删除
	CompanycustomercodeUpdate: web + '/companycustomercode/update',	// 编辑
	CompanycustomercodeList: web + '/companycustomercode/list',	// 列表
	CompanycustomercodeDetail: web + '/companycustomercode/detail',	// 详情
	
	// 展示广告位
	AdvertscheduleList: web + '/advertschedule/list',	// 详情
	
	// 职位
	JobDetail: web + '/job/detail',	// 获取职位详情
	JobSearch: web + '/job/search',	// 职位搜索
	JobNewest: web + '/job/newest',	// 最新职位
	JobCompanyjobs: web + '/job/companyjobs',	// 企业当前招聘职位
	JobUrgentjobs: web + '/job/urgentjobs',	// 急招职位
	JobHighpayjobs: web + '/job/highpayjobs',	// 高薪职位
	JobCampusjobs: web + '/job/campusjobs',	// 校园招聘
	
	// 招聘会企业预定
	RecruitmentbookAdd: web + '/recruitmentbook/add',	// 添加
	RecruitmentbookDel: web + '/recruitmentbook/del',	// 删除
	RecruitmentbookUpdate: web + '/recruitmentbook/update',	// 编辑
	RecruitmentbookList: web + '/recruitmentbook/list',	// 列表
	RecruitmentbookDetail: web + '/recruitmentbook/detail',	// 详情
	
	// 简历
	JobseekerList: web + '/jobseeker/list',	// 获取简历完整资料列表
	JobseekerDetail: web + '/jobseeker/detail',	// 获取简历完整资料
	// 基本资料
	'JobapplicantAdd': web + '/jobapplicant/add', // 添加
	'JobapplicantDel': web + '/jobapplicant/del', // 删除
	'JobapplicantUpdate': web + '/jobapplicant/update', // 修改
	'JobapplicantList': web + '/jobapplicant/list', // 查看
	'JobapplicantDetail': web + '/jobapplicant/detail', // 详情
	// 个人介绍
	'JobapplicantAddintroduction': '/web/jobapplicant/addintroduction',
	'JobapplicantDelintroduction': web + '/jobapplicant/delintroduction', // 删除
	'JobapplicantUpdateintroduction': web + '/jobapplicant/updateintroduction', // 修改
	'JobapplicantListintroduction': '/web/jobapplicant/listintroduction',
	'JobapplicantIntroductiondetail': '/web/jobapplicant/introductiondetail',
	// 联系信息
	'JobapplicantAddcontact': web + '/jobapplicant/addcontact', // 添加
	'JobapplicantDelcontact': web + '/jobapplicant/delcontact', // 删除
	'JobapplicantUpdatecontact': web + '/jobapplicant/updatecontact', // 修改
	'JobapplicantListcontact': web + '/jobapplicant/listcontact', // 查看
	'JobapplicantContactdetail': web + '/jobapplicant/contactdetail', // 详情
	// 专业技能
	'JobapplicantAddskill': web + '/jobapplicant/addskill', // 添加
	'JobapplicantDelskill': web + '/jobapplicant/delskill', // 删除
	'JobapplicantUpdateskill': web + '/jobapplicant/updateskill', // 修改
	'JobapplicantListskill': web + '/jobapplicant/listskill', // 查看
	'JobapplicantSkilldetail': web + '/jobapplicant/skilldetail', // 详情
	// 培训经历
	'JobapplicantAddtraining': web + '/jobapplicant/addtraining', // 添加
	'JobapplicantDeltraining': web + '/jobapplicant/deltraining', // 删除
	'JobapplicantUpdatetraining': web + '/jobapplicant/updatetraining', // 修改
	'JobapplicantListtraining': web + '/jobapplicant/listtraining', // 查看
	'JobapplicantTrainingdetail': web + '/jobapplicant/trainingdetail', // 详情
	// 求职意向-基本
	'JobapplicantAdddesirebase': '/web/jobapplicant/adddesirebase', // 添加
	'JobapplicantDeldesirebase': '/web/jobapplicant/deldesirebase', // 删除
	'JobapplicantUpdatedesirebase': '/web/jobapplicant/updatedesirebase', // 修改
	'JobapplicantDesirebasedetail': '/web/jobapplicant/desirebasedetail', // 详情
	// 求职意向-地区
	'JobapplicantAdddesirearea': web + '/jobapplicant/adddesirearea', // 添加
	'JobapplicantDeldesirearea': web + '/jobapplicant/deldesirearea', // 删除
	'JobapplicantUpdatedesirearea': web + '/jobapplicant/updatedesirearea', // 修改
	'JobapplicantListdesirearea': web + '/jobapplicant/listdesirearea', // 查看
	'JobapplicantDesireareadetail': web + '/jobapplicant/desireareadetail', // 详情
	// 求职意向-职位
	'JobapplicantAdddesireindustry': web + '/jobapplicant/adddesireindustry', // 添加
	'JobapplicantDeldesireindustry': web + '/jobapplicant/deldesireindustry', // 删除
	'JobapplicantUpdatedesireindustry': web + '/jobapplicant/updatedesireindustry', // 修改
	'JobapplicantListdesireindustry': web + '/jobapplicant/listdesireindustry', // 查看
	'JobapplicantDesireindustrydetail': web + '/jobapplicant/desireindustrydetail', // 详情
	// 证书
	'JobapplicantAddcertificate': web + '/jobapplicant/addcertificate', // 添加
	'JobapplicantDelcertificate': web + '/jobapplicant/delcertificate', // 删除
	'JobapplicantUpdatecertificate': web + '/jobapplicant/updatecertificate', // 修改
	'JobapplicantListcertificate': web + '/jobapplicant/listcertificate', // 查看
	'JobapplicantCertificatedetail': web + '/jobapplicant/certificatedetail', // 详情
	// 工作经历
	'JobapplicantAddexperience': web + '/jobapplicant/addexperience', // 添加
	'JobapplicantDelexperience': web + '/jobapplicant/delexperience', // 删除
	'JobapplicantUpdateexperience': web + '/jobapplicant/updateexperience', // 修改
	'JobapplicantListexperience': web + '/jobapplicant/listexperience', // 查看
	'JobapplicantExperiencedetail': web + '/jobapplicant/experiencedetail', // 详情
	
}