declare namespace CommonType {
	type PageType = {
		current ?: Number;
		pageSize ?: Number;
		total ?: Number;
		pageSizeOptions ?: String[];
		hideOnSinglePage ?: Boolean;
		showSizeChanger ?: Boolean;
	}
	
	type ModelType = {
		title ?: String;
		okText : String | '提交';
		resetText : String | '重置';
		cancelText : String | '取消';
	}
	
	type SearchType = {
		page ?: Number,
		pagesize ?: Number,
		sort ?: String, 
		sortby ?: String, 
		keyword ?: String
	}
	
	type TableType = {
		data : Object[],
		columns : Object[],
	}
	
	type DeleteType = {
		id ?: Number
	}
}

