import { createStore } from 'vuex';
import { state } from './state';
import { mutations } from './mutations';
import { permissionsModule } from './usePermissionStore';

export const store = createStore({
	state,
	mutations,
	modules: {
		permissions: permissionsModule,
	}
})

