import { postModel, getModel } from '@/utils/reqHelper'
import { url } from '../url'

// 字典数据
export const GetDictTree = getModel(url.dictTree);
export const PostImageUpload = postModel(url.ImageUpload);

export const PostJobseekerRegister = postModel(url.JobseekerRegister);
export const PostCompanyRegister = postModel(url.CompanyRegister);
export const GetCaptcha = getModel(url.Captcha);

// 招聘会
export const PostRecruitmentBookcompany = getModel(url.RecruitmentBookcompany);// 获取招聘会参与的企业
export const PostRecruitmentList = getModel(url.RecruitmentList);// 招聘会列表

// 求职者管理中心
export const PostViewhistoryList = getModel(url.ViewhistoryList);// 获取简历被查看记录
export const PostInterviewList = getModel(url.InterviewList);	// 获取应聘记录列表

// 企业管理中心
export const PostCompanyProfile = getModel(url.CompanyProfile);	// 企业基本资料
export const PostCompanyLogin = postModel(url.CompanyLogin);	// 登录
export const PostCompanyInfo = getModel(url.CompanyInfo);	// 企业信息
export const PostCompanyProbationList = getModel(url.CompanyProbationList);	// 见习基地
export const PostCompanyFamousList = getModel(url.CompanyFamousList);	// 知名企业/推荐企业

// 用户管理
export const PostCompanyFee = getModel(url.CompanyFee);	// 费用管理
export const PostCompanyPwdEdit = postModel(url.CompanyPwdEdit);	// 修改密码
export const PostCompanyEmailEdit = postModel(url.CompanyEmailEdit);	// 修改邮箱
// 职位管理
export const PostCompanyJobAdd = getModel(url.CompanyJobAdd);	// 添加职位
export const PostCompanyJobEdit = postModel(url.CompanyJobEdit);	// 编辑职位
export const PostCompanyJobList = postModel(url.CompanyJobList);	// 企业职位列表
export const PostCompanyJobInfo = getModel(url.CompanyJobInfo);	// 职位信息

// 部门管理
export const PostCompanyDepartmentAdd = getModel(url.CompanyDepartmentAdd);	// 新增部门
export const PostCompanyDepartmentEdit = postModel(url.CompanyDepartmentEdit);	// 编辑部门
export const PostCompanyDepartmentList = postModel(url.CompanyDepartmentList);	// 部门列表
export const PostCompanyRecrBookList = getModel(url.CompanyRecrBookList);	// 已预定招聘会列表

// 企业开通微信小程序账号公司权限
export const PostCompanycustomercodeAdd = getModel(url.CompanycustomercodeAdd);	// 添加
export const PostCompanycustomercodeDel = postModel(url.CompanycustomercodeDel);	// 删除
export const PostCompanycustomercodeUpdate = postModel(url.CompanycustomercodeUpdate);	// 编辑
export const PostCompanycustomercodeList = getModel(url.CompanycustomercodeList);	// 列表
export const PostCompanycustomercodeDetail = getModel(url.CompanycustomercodeDetail);	// 添加	
// 展示广告位
export const PostAdvertscheduleList = postModel(url.AdvertscheduleList);	// 添加
	// 职位
export const PostJobDetail = postModel(url.JobDetail);	// 获取职位详情
export const PostJobSearch = postModel(url.JobSearch);	// 职位搜索
export const PostJobNewest = postModel(url.JobNewest);	// 最新职位
export const PostJobCompanyjobs = postModel(url.JobCompanyjobs);	// 企业当前招聘职位
export const PostJobUrgentjobs = postModel(url.JobUrgentjobs);	// 急招职位
export const PostJobHighpayjobs = postModel(url.JobHighpayjobs);	// 高薪职位
export const PostJobCampusjobs = postModel(url.JobCampusjobs);	// 校园招聘


// 招聘会企业预定
export const PostRecruitmentbookAdd = postModel(url.RecruitmentbookAdd);	// 添加
export const PostRecruitmentbookDel = postModel(url.RecruitmentbookDel);	// 删除
export const PostRecruitmentbookUpdate = postModel(url.RecruitmentbookUpdate);	// 编辑
export const GetRecruitmentbookList = getModel(url.RecruitmentbookList);	// 列表
export const GetRecruitmentbookDetail = getModel(url.RecruitmentbookDetail);	// 详情