import { ref } from 'vue';
import { useAsRouter } from './useAsRouter'
import { store } from '@/store'

export const useMenu = () => {
	const { routerTo, routerCur, routerArrayCur,
		routerArrayParentChildCur } = useAsRouter();

	const openSubMenu = ref<string[]>([]);

	// 点击菜单获取路由
	const onMenu = (path) => {
		routerTo(path);
	};


	return {
		routerCur,
		routerArrayCur,
		routerArrayParentChildCur,
		openSubMenu,
		onMenu,
	}
}