import type { RouteRecordRaw, RouteMeta } from 'vue-router';

// @ts-ignore
export interface UseRouteRecordRaw extends omit<RouteRecordRaw, 'meta'> {
	path ?: string,
	name ?: string,
	component ?: string,
	meta: RouteMeta,
	children ?: UseRouteRecordRaw[]
}

export type UseRouteModule = UseRouteRecordRaw;